import { DataSourceOptions, DataSourcePayload } from './data-source.types';
import { BaseDataSource } from './BaseDataSource';
export declare class SimpleDataSource extends BaseDataSource {
    filtered: any[];
    private processor;
    constructor(data: any[]);
    /**
     * Entry point to getting data
     */
    fetchData(options: DataSourceOptions): Promise<DataSourcePayload>;
    /**
     * Fits the data source API
     */
    load(options: DataSourceOptions): Promise<DataSourcePayload>;
    /**
     * Paginate the complete data set
     */
    paginate(options: DataSourceOptions, data?: Promise<DataSourcePayload>): Promise<DataSourcePayload>;
    sort(options: DataSourceOptions, data?: Promise<DataSourcePayload>): Promise<DataSourcePayload>;
    private processData;
}
